Package org.h2.expression.function

# Interface NamedExpression

All Known Implementing Classes:
  `ArrayFunction`, `ArrayTableFunction`, `BitFunction`, `CardinalityExpression`, `CastSpecification`, `CoalesceFunction`, `CompatibilitySequenceValueFunction`, `CompressFunction`, `ConcatFunction`, `CryptFunction`, `CSVReadFunction`, `CSVWriteFunction`, `CurrentDateTimeValueFunction`, `CurrentGeneralValueSpecification`, `DataTypeSQLFunction`, `DateTimeFormatFunction`, `DateTimeFunction`, `DayMonthNameFunction`, `DBObjectFunction`, `FileFunction`, `Function0_1`, `Function1`, `Function1_2`, `Function2`, `FunctionN`, `FunctionsDB2Derby`, `FunctionsLegacy`, `FunctionsMSSQLServer`, `FunctionsMySQL`, `FunctionsOracle`, `FunctionsPostgreSQL`, `HashFunction`, `JavaFunction`, `JavaTableFunction`, `JsonConstructorFunction`, `LengthFunction`, `LinkSchemaFunction`, `MathFunction`, `MathFunction1`, `MathFunction2`, `ModeFunction`, `NullIfFunction`, `RandFunction`, `RegexpFunction`, `SessionControlFunction`, `SetFunction`, `SignalFunction`, `SoundexFunction`, `StringFunction`, `StringFunction1`, `StringFunction2`, `SubstringFunction`, `SysInfoFunction`, `TableFunction`, `TableInfoFunction`, `ToCharFunction`, `TrimFunction`, `TruncateValueFunction`, `XMLFunction`

public interface NamedExpression
A function-like expression with a name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Get the name.

## Method Details

### getName

String getName()
Get the name.

Returns:
  the name in uppercase